Create agent
curl --request POST \
--url https://v2-nova-api.prod.czmx.in/api/org/{org_id}/agents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"copy_from_agent_id": "<string>",
"prompt_template": "<string>"
}
'import requests
url = "https://v2-nova-api.prod.czmx.in/api/org/{org_id}/agents"
payload = {
"name": "<string>",
"copy_from_agent_id": "<string>",
"prompt_template": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', copy_from_agent_id: '<string>', prompt_template: '<string>'})
};
fetch('https://v2-nova-api.prod.czmx.in/api/org/{org_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowed_sip_trunks": [
"<string>"
],
"background_sound": [
123
],
"created_at": "<string>",
"default_functions": [
"<string>"
],
"extra_config": [
123
],
"goodbye_config": [
123
],
"greeting_config": [
123
],
"id": "<string>",
"llm_config": [
123
],
"name": "<string>",
"organization_id": "<string>",
"plugins": [
123
],
"precall_webhook": [
123
],
"prompt_template": "<string>",
"public_quota": 123,
"room_duration_config": [
123
],
"tools": [
{
"config_override": {},
"description": "<string>",
"is_enabled": true,
"method": "<string>",
"name": "<string>",
"parameters": [
{
"description": "<string>",
"name": "<string>",
"required": true,
"type": "<string>"
}
],
"tool_id": "<string>",
"url": "<string>"
}
],
"transcriber_config": [
123
],
"type": "<string>",
"updated_at": "<string>",
"vad_config": [
123
],
"voice_config": [
123
]
}{
"data": "<unknown>",
"error": "<unknown>",
"message": "<string>",
"status": true
}{
"data": "<unknown>",
"error": "<unknown>",
"message": "<string>",
"status": true
}{
"data": "<unknown>",
"error": "<unknown>",
"message": "<string>",
"status": true
}{
"data": "<unknown>",
"error": "<unknown>",
"message": "<string>",
"status": true
}Agents
Create agent
Create a new AI agent in the organization
POST
/
org
/
{org_id}
/
agents
Create agent
Authorizations
Path Parameters
Organization ID
Body
application/json
Agent details
Response
Created
Show child attributes
Show child attributes
⌘I

